<%@ page language="java" import="java.util.*" errorPage="error.jsp"%>

<html>
<head>
<title>Menu of Home energy service</title>
    <jsp:useBean id="em" scope="session" class="EntrakMain"/>
    <jsp:useBean id="mcpm" scope="session" class="MainControlPanel_Map"/>

<%--

    mcpm.setConnection(em.con);
    mcpm.setDatabase(em.database);

    mcpm.setUrlMap(em.urlMap);
    mcpm.setUrlHelp(em.urlHelp);
    mcpm.setHostOfDBMS(em.hostOfDBMS);
	
    mcpm.setUsername(em.username);
    mcpm.setPassword(String.copyValueOf(em.password));

  
    mcpm.setup();

    
    //for admin
    em.saveProperties4admin();

--%>


<SCRIPT LANGUAGE="JavaScript">
<!--
function popWin(the_page,the_target,the_width,the_height) {
		window.open(the_page,the_target,"status=no,menubar=no,scrollbars=no,resizable=no,width=" + the_width + ",height=" + the_height);
}
//-->
</SCRIPT>

  <SCRIPT LANGUAGE="JavaScript">
<!--
function popwin(aPage, aTarget, w, h, var1, var2){
        window.open(aPage,aTarget,'status=no,top=0,left=0,scrollbars=' +((var1=='scroll' || var2=='scroll')? 'yes' : 'no')+ ',resizable=' +((var1=='resize' || var2=='resize')? 'yes' : 'no')+ ',width='+w+',height='+h);
}
//-->
</SCRIPT>



<SCRIPT LANGUAGE="JavaScript">
    <!--- Hide script from old browsers

    // This function gets the URL of the right frame
        function getMapURL() {
            var mapURL=""+parent.detailFrame.location.href;
            return mapURL;
    }// end script hiding from old browsers -->

</SCRIPT>

<SCRIPT LANGUAGE="JavaScript">

    //Global window number
    winNum = 0;
    profileWinNum = 0;

    //Global window name
    profileWin = new Array();
    //profileWin = "";
    imgWin = new Array();

    function openEPM(aPage, aTarget, w, h, var1, var2) {

        if(profileWin[profileWinNum] == null) {

            var mapURL=""+parent.detailFrame.location.href;
            var p=""+aPage+"?mapURL="+mapURL;
            profileWin[profileWinNum] = window.open(p,aTarget+"_"+profileWinNum.toString(),'status=yes,top=0,left=0,dependent=yes,scrollbars=' +((var1=='scroll' || var2=='scroll')? 'yes' : 'no')+ ',resizable=' +((var1=='resize' || var2=='resize')? 'yes' : 'no')+ ',width='+w+',height='+h);            
            profileWinNum++;
        }//
        else {
            
        }//else
    }//


</SCRIPT>

<SCRIPT language="JavaScript">

    function underConstruction() {
        alert("This option is under construction");
    }

</SCRIPT>
  <!-- Rollover Image Script - Place within <head> tag -->
<script language="JavaScript" type="text/javascript">
<!-- Hide from older browsers
function SwitchImg()
{ //start
  var rem, keep=0, store, obj, switcher=new Array, history=document.Data;
    for (rem=0; rem < (SwitchImg.arguments.length-2); rem+=3) {
    	store = SwitchImg.arguments[(navigator.appName == 'Netscape')?rem:rem+1];
    if ((store.indexOf('document.layers[')==0 && document.layers==null) ||
        (store.indexOf('document.all[')==0 && document.all==null))
         store = 'document'+store.substring(store.lastIndexOf('.'),store.length);
         obj = eval(store);
    if (obj != null) {
   	   switcher[keep++] = obj;
      switcher[keep++] = (history==null || history[keep-1]!=obj)?obj.src:history[keep];
      obj.src = SwitchImg.arguments[rem+2];
  } }
  document.Data = switcher;
} //end

function RestoreImg()
{ //start
  if (document.Data != null)
    for (var rem=0; rem<(document.Data.length-1); rem+=2)
      document.Data[rem].src=document.Data[rem+1];
} //end

// end hiding contents -->
</script>

</HEAD>

<body>
<table cellspacing="20" width="280" height="20">
<tr>
   <td>  
   <a href="temp_html/hw_monitoring_energy_hourly.html" target="graphFrame" onMouseOut="RestoreImg()" onMouseOver="SwitchImg('document.hourly_graph','document.hourly_graph','images/hourly_rollover_button.JPG')"><img src="images/hourly_normal_button.JPG" name="hourly_graph" width="62" height="19" alt="hourly graph" border="0"></a>

   
   </td>

     <td> 
	 <a href="temp_html/hw_monitoring_energy_daily.html" target="graphFrame" onMouseOut="RestoreImg()" onMouseOver="SwitchImg('document.daily_graph','document.daily_graph','images/daily_rollover_button.JPG')"><img src="images/daily_normal_button.JPG" name="daily_graph" width="62" height="20" alt="daily grap" border="0"></a>

	 
	 </td>

     <td> <a href="temp_html/hw_monitoring_energy_monthly.html" target="graphFrame" onMouseOut="RestoreImg()" onMouseOver="SwitchImg('document.monthly_graph','document.monthly_graph','images/monthly_rollover_button.JPG')"><img src="images/monthly_normal_button.JPG" name="monthly_graph" width="62" height="19" alt="monthly graph" border="0"></a>

</td>
</tr>
</table>

</body>
</html>





